<?php

$template_dir = "templates/";

$diddoAjax = true;

switch($_POST["action"]){
    case "login":
        doLogin();
    break;
    case "register":
        doRegister();
    break;
    case "logout":
        doLogout();
    break;
    default:
        $diddoAjax = false;
    break;
}

if($diddoAjax){
    return; // dont use templates on ajax calls
}

ob_start();

if ($_SESSION["ID"] > 0){
    $account_template = file_get_contents($template_dir . "account.html");
    echo $account_template;
}
else{
    $login_template = file_get_contents($template_dir . "login.html");
    echo $login_template;
}

return ob_get_clean();

?>